#! /bin/bash
# Programm: Aufg.Klausur.2000-03-09.05.bash
# Zweck:    shell script suchestring that looks up in all files passed in as arguments a
#           query string the user was prompted for. If a file is gzip compressed, the 
#           shell script decompresses it.
# Aufgabe:  This is task 5 in the exam from 2000-03-09 in Betriebssysteme 1 with
#           Prof. Dr. Michael Jaeger at the University of Applied Sciences Giessen-Friedberg:
# Autor:    Mattias Ansorg <matthias@ansorgs.de>
# Lizenz:   public domain
# Datum:    2002-11-20

echo "look for: "
read string
for arg # equivalents: for arg in "$@" (i.e., positional parameters as list of words)
do 
  if file $arg | grep -q "gzip compressed"
    then 
      # echo "Fhre then-Fall aus \$string= $string \$arg= $arg";
      zcat $arg | fgrep $string;
    else 
      # echo "Fhre else-Fall aus \$string= $string \$arg= $arg";
      fgrep $string $arg;
  fi
done
